.\" Copyright (c) 2010 Stijn van Dongen
.TH "aephea-ref" 7 "8 Jan 2010" "aephea-ref 1\&.002, 10-008" "MISCELLANEOUS "
.po 2m
.de ZI
.\" Zoem Indent/Itemize macro I.
.br
'in +\\$1
.nr xa 0
.nr xa -\\$1
.nr xb \\$1
.nr xb -\\w'\\$2'
\h'|\\n(xau'\\$2\h'\\n(xbu'\\
..
.de ZJ
.br
.\" Zoem Indent/Itemize macro II.
'in +\\$1
'in +\\$2
.nr xa 0
.nr xa -\\$2
.nr xa -\\w'\\$3'
.nr xb \\$2
\h'|\\n(xau'\\$3\h'\\n(xbu'\\
..
.if n .ll -2m
.am SH
.ie n .in 4m
.el .in 8m
..
.SH NAME
aephea-ref \- A description of the Aephea definitions for referencing
.SH DESCRIPTION

The following definitions are used by the Aephea \fCsimpledocument\fP
class as well as the Portable Unix Documentation
(pud) manual and faq classes
(see \fBpud-man(7)\fP and \fBpud-faq(7)\fP)\&.
.SH MACROS

.ZI 2m "\fB\erefload#2\fP"
\&
'in -2m
.ZI 2m "\fB\erefloadx#2\fP"
\&
'in -2m
'in +2m
\&
.br
Both macros take as first argument
a label that uniquely defines the reference\&.
The second argument is a vararg containing key-value pairs\&.

These macros are usually not needed in Aephea classes; they are
lower level facilities\&.
.in -2m

.ZI 2m "\fB\eref#2\fP"
\&
.br
The first argument is a label\&. The second argument should be a key
associated with that label\&. The result is the value associated
with the label/key pair\&.

These macros are usually not needed in Aephea classes; they are
lower level facilities used by high level Aephea definitions (e\&.g\&. \fC\eiref#2\fP,
and \fC\esecref#1\fP)\&.
.in -2m

.ZI 2m "\fB\erefcaption#1\fP"
\&
'in -2m
.ZI 2m "\fB\erefnumber#1\fP"
\&
'in -2m
.ZI 2m "\fB\ereflevel#1\fP"
\&
'in -2m
'in +2m
\&
.br
The argument is a label\&. The result is respectively the caption, number,
or level associated with that label\&.
.in -2m

.ZI 2m "\e\fBreference#1\fP"
\&
'in -2m
.ZI 2m "\e\fBrefer#1\fP"
\&
'in -2m
'in +2m
\&
.br
The first associates a number with the label that is in the first argument,
and prints it inbeween square brackets\&. The label is anchored to this
location\&. The second outputs the associated number inbetween brackets, and
makes it carry a link to the anchor\&. For example, I am about
to create a link\ \&[1] and another link\ \&[2]
to the items appearing below\&.

[1] The first reference\&.

[2] The second reference\&.

If you prefer another bibliography style, find the macros
and adapt them according to your needs \- they are very simple\&.

\fC\ereference#2\fP currently writes data to the file \fC\e__fnbase__\&.zmr\fP,
to be read back in using a \fC\eload{\e__fnbase__\&.zmr}\fP statement\&.
This is automatically done when using any of the Aephea classes\&.
.in -2m
